VM_UNMAP_ALIASES(9)

NAME
vm_unmap_aliases - unmap outstanding lazy aliases in the vmap layer

SYNOPSIS

void vm_unmap_aliases(void);

ARGUMENTS

void
    no arguments

DESCRIPTION

The vmap/vmalloc layer lazily flushes kernel virtual mappings primarily to amortize TLB flushing overheads. What this means is that any page you have now, may, in a former life, have been mapped into kernel virtual address by the vmap layer and so there might be some CPUs with TLB entries still referencing that page (additional to the regular 1:1 kernel mapping).

vm_unmap_aliases flushes all such lazy mappings. After it returns, we can be sure that none of the pages we have control over will have any aliases from the vmap layer.

COPYRIGHT